Package org.lwjgl.util

# Interface ReadableColor

All Known Implementing Classes:
  `Color`

public interface ReadableColor
Readonly interface for Colors

Version:
  $Revision$ $Id$
Author:
  $Author$

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ReadableColor`
`BLACK`
`static final ReadableColor`
`BLUE`
`static final ReadableColor`
`CYAN`
`static final ReadableColor`
`DKGREY`
`static final ReadableColor`
`GREEN`
`static final ReadableColor`
`GREY`
`static final ReadableColor`
`LTGREY`
`static final ReadableColor`
`ORANGE`
`static final ReadableColor`
`PURPLE`
`static final ReadableColor`
`RED`
`static final ReadableColor`
`WHITE`
`static final ReadableColor`
`YELLOW`

## Method Summary

Modifier and Type
Method
Description
`int`
`getAlpha()`
Return the red component (0..255)
`byte`
`getAlphaByte()`
Return the red component
`int`
`getBlue()`
Return the red component (0..255)
`byte`
`getBlueByte()`
Return the red component
`int`
`getGreen()`
Return the red component (0..255)
`byte`
`getGreenByte()`
Return the red component
`int`
`getRed()`
Return the red component (0..255)
`byte`
`getRedByte()`
Return the red component
`void`
`writeABGR(ByteBuffer dest)`
Write the ABGR color directly out to a ByteBuffer
`void`
`writeARGB(ByteBuffer dest)`
Write the ARGB color directly out to a ByteBuffer
`void`
`writeBGR(ByteBuffer dest)`
Write the BGR color directly out to a ByteBuffer
`void`
`writeBGRA(ByteBuffer dest)`
Write the BGRA color directly out to a ByteBuffer
`void`
`writeRGB(ByteBuffer dest)`
Write the RGB color directly out to a ByteBuffer
`void`
`writeRGBA(ByteBuffer dest)`
Write the RGBA color directly out to a ByteBuffer

## Field Details

### RED

static final ReadableColor RED

### ORANGE

static final ReadableColor ORANGE

### YELLOW

static final ReadableColor YELLOW

### GREEN

static final ReadableColor GREEN

### CYAN

static final ReadableColor CYAN

### BLUE

static final ReadableColor BLUE

### PURPLE

static final ReadableColor PURPLE

### WHITE

static final ReadableColor WHITE

### BLACK

static final ReadableColor BLACK

### LTGREY

static final ReadableColor LTGREY

### DKGREY

static final ReadableColor DKGREY

### GREY

static final ReadableColor GREY

## Method Details

### getRed

int getRed()
Return the red component (0..255)

Returns:
  int

### getGreen

int getGreen()
Return the red component (0..255)

Returns:
  int

### getBlue

int getBlue()
Return the red component (0..255)

Returns:
  int

### getAlpha

int getAlpha()
Return the red component (0..255)

Returns:
  int

### getRedByte

byte getRedByte()
Return the red component

Returns:
  int

### getGreenByte

byte getGreenByte()
Return the red component

Returns:
  int

### getBlueByte

byte getBlueByte()
Return the red component

Returns:
  int

### getAlphaByte

byte getAlphaByte()
Return the red component

Returns:
  int

### writeRGBA

void writeRGBA(ByteBuffer dest)
Write the RGBA color directly out to a ByteBuffer

Parameters:
  `dest` - the buffer to write to

### writeRGB

void writeRGB(ByteBuffer dest)
Write the RGB color directly out to a ByteBuffer

Parameters:
  `dest` - the buffer to write to

### writeABGR

void writeABGR(ByteBuffer dest)
Write the ABGR color directly out to a ByteBuffer

Parameters:
  `dest` - the buffer to write to

### writeBGR

void writeBGR(ByteBuffer dest)
Write the BGR color directly out to a ByteBuffer

Parameters:
  `dest` - the buffer to write to

### writeBGRA

void writeBGRA(ByteBuffer dest)
Write the BGRA color directly out to a ByteBuffer

Parameters:
  `dest` - the buffer to write to

### writeARGB

void writeARGB(ByteBuffer dest)
Write the ARGB color directly out to a ByteBuffer

Parameters:
  `dest` - the buffer to write to